Package uk.ac.starlink.table.join

# Interface CuboidCoverage.PointDecoder

Enclosing class:
  CuboidCoverage

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface CuboidCoverage.PointDecoder
Defines mapping of tuple to Cartesian position.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`decodePoint(Object[] tuple, double[] pos)`
Converts a tuple to a Cartesian vector.

## Method Details

### decodePoint

boolean decodePoint(Object[] tuple, double[] pos)
Converts a tuple to a Cartesian vector. The result is written into a supplied workspace array.

Note this method must be thread-safe, it may be called from multiple threads concurrently.

Parameters:
  `tuple` - tuple data
  `pos` - n-dimensional workspace for output
Returns:
  true on success